﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Datetime.Tjsa.info;

namespace TimezoneDatetime.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {
            //set timezone

            return View();
        }

        [HttpPost]
        public string Index(Single timezone)
        {
            //set timezone
            Session["timezone"] = timezone;
            return "/Home/WithtimeZone";
        }

        public ActionResult WithtimeZone()
        {
            if (Session["timezone"] == null)
            {
                return RedirectToAction("Index");
            }
            DateTimeW d = new DateTimeW();
            d.setTimeZone(Convert.ToDouble(Session["timezone"]));
            ViewBag.Time = d.Now();
            ViewBag.Timezone = d.getTimeZone();
            return View();
        }

    }
}
